<?php
/*
 * @ LamiAds Postback
 * @ PHP 7.4
 * @ Developer by Jendy Pham
 * @ Release: 11/14/2022
 */

if ($input->post("do") == "update_settings") {
    $form_validation->set_rules("active", "Status", "required|in_list[yes,no]", ["in_list" => "Select a valid Status option."]);
    $form_validation->set_rules("api_key", "API Key", "required");
    $form_validation->set_rules("secret_key", "Secret Key", "required");
    $form_validation->set_rules("credit_type", "Credit Type", "required|in_list[money,points]", ["in_list" => "Select a valid Credit Type option."]);
    $form_validation->set_rules("currency", "Virtual Currency", "required");
    if (!$form_validation->run()) {
        ajaxError(validation_errors(" ", "<br>"));
    }
    $offerClass->save(["active" => $input->post("active"), "api_key" => html_escape($input->post("api_key")), "secret_key" => html_escape($input->post("secret_key")), "credit_type" => $input->post("credit_type"), "currency" => html_escape($input->post("currency"))]);
    ajaxSuccess("Configuration was updated.");
}

?>